accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vi...@apache.org
Subject svn commit: r1183360 - /incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh
Date Fri, 14 Oct 2011 13:42:35 GMT
Author: vines
Date: Fri Oct 14 13:42:35 2011
New Revision: 1183360

URL: http://svn.apache.org/viewvc?rev=1183360&view=rev
Log:
Resolves Accumulo-26 - we neglected org/apache for a portion of the directory names.

Modified:
    incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh

Modified: incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh
URL: http://svn.apache.org/viewvc/incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh?rev=1183360&r1=1183359&r2=1183360&view=diff
==============================================================================
--- incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh (original)
+++ incubator/accumulo/branches/1.3/src/core/src/main/thrift/thrift.sh Fri Oct 14 13:42:35
2011
@@ -1,11 +1,11 @@
 #! /usr/bin/env bash
 
 # test to see if we have thrift installed
-VERSION=`thrift -version 2>/dev/null | grep "0.3" |  wc -l`
+VERSION=`thrift -version 2>/dev/null | grep "0.3" |	wc -l`
 if [ "$VERSION" -ne 1 ] ; then 
-   # Nope: bail
-   echo "thrift is not available"
-   exit 0
+	# Nope: bail
+	echo "thrift is not available"
+	exit 0
 fi
 CLOUDTRACE=../trace
 THRIFT_ARGS="-I $CLOUDTRACE/src/main/thrift -o target "
@@ -20,13 +20,13 @@ done
 # copy only files that have changed
 for d in gc master tabletserver security client/impl data
 do
-   mkdir -p src/main/java/accumulo/core/$d/thrift >& /dev/null
-   for f in target/gen-java/accumulo/core/$d/thrift/* 
-   do
-      DEST="src/main/java/accumulo/core/$d/thrift/`basename $f`"
-      if ! cmp -s ${f} ${DEST} ; then
-	echo cp ${f} ${DEST} 
-	cp ${f} ${DEST} 
-      fi
-   done
-done
+	mkdir -p src/main/java/org/apache/accumulo/core/$d/thrift >& /dev/null
+	for f in target/gen-java/org/apache/accumulo/core/$d/thrift/* 
+	do
+		DEST="src/main/java/org/apache/accumulo/core/$d/thrift/`basename $f`"
+		if ! cmp -s ${f} ${DEST} ; then
+			echo cp ${f} ${DEST} 
+			cp ${f} ${DEST} 
+		fi
+	done
+done
\ No newline at end of file



Mime
View raw message